Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIDataFltrSlider

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UIDataFltrSlider

All Implemented Interfaces:
  javax.faces.component.StateHolder, org.richfaces.event.DataFilterSliderSource

Direct Known Subclasses:
  HtmlDataFilterSlider

    public abstract class UIDataFltrSlider

extends javax.faces.component.UIComponentBase
implements org.richfaces.event.DataFilterSliderSource

JSF component class

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE` The component type for this component.

Constructor Summary
`UIDataFltrSlider()`

Method Summary
`void` | `addSliderListener(org.richfaces.event.DataFilterSliderListener listener)`
`void` | `broadcast(javax.faces.event.FacesEvent event)`
`void` | `decode(javax.faces.context.FacesContext context)`
`void` | `filterDataTable(int sliderVal)`
`protected javax.faces.component.UIData` | `getDataTable()` Finds the dataTable which id is mapped to the "for" property
`abstract java.lang.Integer` | `getEndRange()`
`protected javax.faces.context.FacesContext` | `getFacesContext()`
`abstract java.lang.String` | `getFieldStyleClass()`
`abstract java.lang.String` | `getFilterBy()`
`abstract java.lang.String` | `getFor()`
`abstract java.lang.String` | `getForValRef()`
`abstract java.lang.String` | `getHandleStyleClass()`
`abstract java.lang.Integer` | `getHandleValue()`
`abstract java.lang.Integer` | `getIncrement()`
`abstract java.lang.String` | `getRangeStyleClass()`
`boolean` | `getRendersChildren()`
`abstract javax.faces.el.MethodBinding` | `getSliderListener()`
`org.richfaces.event.DataFilterSliderListener[]` | `getSliderListeners()`
`java.lang.String` | `getSliderRange()`
`abstract java.lang.Integer` | `getStartRange()`
`abstract java.lang.String` | `getStyleClass()`
`abstract java.lang.String` | `getTrackStyleClass()`
`abstract java.lang.String` | `getTrailerStyleClass()`
`javax.faces.component.UIData` | `getUIData()`
`boolean` | `isActive()`
`abstract boolean` | `isManualInput()`
`abstract boolean` | `isOnChange()`
`abstract boolean` | `isOnSlide()`
`abstract boolean` | `isStoreResults()`
`abstract boolean` | `isTrailer()`
`void` | `processDecodes(javax.faces.context.FacesContext context)`
`void` | `removeSliderListener(org.richfaces.event.DataFilterSliderListener listener)`
`void` | `resetDataTable()`
`void` | `setActive(boolean active)`
`abstract void` | `setEndRange(java.lang.Integer endRange)`
`abstract void` | `setFieldStyleClass(java.lang.String fieldStyleClass)`
`abstract void` | `setFilterBy(java.lang.String filterBy)`
`abstract void` | `setFor(java.lang.String _for)`
`abstract void` | `setForValRef(java.lang.String forValRef)`
`abstract void` | `setHandleStyleClass(java.lang.String handleStyleClass)`
`abstract void` | `setHandleValue(java.lang.Integer handleValue)`
`abstract void` | `setIncrement(java.lang.Integer increment)`
`abstract void` | `setManualInput(boolean manualInput)`
`abstract void` | `setOnChange(boolean onChange)`
`abstract void` | `setOnSlide(boolean onSlide)`
`abstract void` | `setRangeStyleClass(java.lang.String rangeStyleClass)`
`abstract void` | `setSliderListener(javax.faces.el.MethodBinding binding)`
`abstract void` | `setStartRange(java.lang.Integer startRange)`
`abstract void` | `setStoreResults(boolean storeResults)`
`abstract void` | `setStyleClass(java.lang.String styleClass)`
`abstract void` | `setTrackStyleClass(java.lang.String trackStyleClass)`
`abstract void` | `setTrailer(boolean trailer)`
`abstract void` | `setTrailerStyleClass(java.lang.String trailerStyleClass)`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`getFamily`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

  The component type for this component.

  See Also:
    Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIDataFltrSlider

    public UIDataFltrSlider()

Method Detail

### getRendersChildren

    public boolean getRendersChildren()

  Overrides:
    `getRendersChildren` in class `javax.faces.component.UIComponentBase`

### addSliderListener

    public void addSliderListener(org.richfaces.event.DataFilterSliderListener listener)

  Specified by:
    `addSliderListener` in interface `org.richfaces.event.DataFilterSliderSource`

### getSliderListeners

    public org.richfaces.event.DataFilterSliderListener[] getSliderListeners()

  Specified by:
    `getSliderListeners` in interface `org.richfaces.event.DataFilterSliderSource`

### removeSliderListener

    public void removeSliderListener(org.richfaces.event.DataFilterSliderListener listener)

  Specified by:
    `removeSliderListener` in interface `org.richfaces.event.DataFilterSliderSource`

### broadcast

    public void broadcast(javax.faces.event.FacesEvent event)
                   throws javax.faces.event.AbortProcessingException

  Overrides:
    `broadcast` in class `javax.faces.component.UIComponentBase`
  Throws:
    `javax.faces.event.AbortProcessingException`

### processDecodes

    public void processDecodes(javax.faces.context.FacesContext context)

  Overrides:
    `processDecodes` in class `javax.faces.component.UIComponentBase`

### isActive

    public boolean isActive()

  Returns:
    Returns the active.

### setActive

    public void setActive(boolean active)

  Parameters:
    `active` - The active to set. This method should never be called from user code.

### getUIData

    public javax.faces.component.UIData getUIData()

### getDataTable

    protected javax.faces.component.UIData getDataTable()

  Finds the dataTable which id is mapped to the "for" property

  Returns:
    the dataTable component

### resetDataTable

    public void resetDataTable()

### filterDataTable

    public void filterDataTable(int sliderVal)

### getSliderRange

    public java.lang.String getSliderRange()

### setSliderListener

    public abstract void setSliderListener(javax.faces.el.MethodBinding binding)

### getSliderListener

    public abstract javax.faces.el.MethodBinding getSliderListener()

### getTrackStyleClass

    public abstract java.lang.String getTrackStyleClass()

### setTrackStyleClass

    public abstract void setTrackStyleClass(java.lang.String trackStyleClass)

### isOnSlide

    public abstract boolean isOnSlide()

### setOnSlide

    public abstract void setOnSlide(boolean onSlide)

### isOnChange

    public abstract boolean isOnChange()

### setOnChange

    public abstract void setOnChange(boolean onChange)

### isStoreResults

    public abstract boolean isStoreResults()

### setStoreResults

    public abstract void setStoreResults(boolean storeResults)

### getForValRef

    public abstract java.lang.String getForValRef()

### setForValRef

    public abstract void setForValRef(java.lang.String forValRef)

### getFilterBy

    public abstract java.lang.String getFilterBy()

### setFilterBy

    public abstract void setFilterBy(java.lang.String filterBy)

### getFor

    public abstract java.lang.String getFor()

### setFor

    public abstract void setFor(java.lang.String _for)

### setStyleClass

    public abstract void setStyleClass(java.lang.String styleClass)

### getStyleClass

    public abstract java.lang.String getStyleClass()

### setFieldStyleClass

    public abstract void setFieldStyleClass(java.lang.String fieldStyleClass)

### getFieldStyleClass

    public abstract java.lang.String getFieldStyleClass()

### getStartRange

    public abstract java.lang.Integer getStartRange()

### setStartRange

    public abstract void setStartRange(java.lang.Integer startRange)

### getEndRange

    public abstract java.lang.Integer getEndRange()

### setEndRange

    public abstract void setEndRange(java.lang.Integer endRange)

### getIncrement

    public abstract java.lang.Integer getIncrement()

### setIncrement

    public abstract void setIncrement(java.lang.Integer increment)

### getRangeStyleClass

    public abstract java.lang.String getRangeStyleClass()

### setRangeStyleClass

    public abstract void setRangeStyleClass(java.lang.String rangeStyleClass)

### isTrailer

    public abstract boolean isTrailer()

### setTrailer

    public abstract void setTrailer(boolean trailer)

### getTrailerStyleClass

    public abstract java.lang.String getTrailerStyleClass()

### setTrailerStyleClass

    public abstract void setTrailerStyleClass(java.lang.String trailerStyleClass)

### getHandleStyleClass

    public abstract java.lang.String getHandleStyleClass()

### setHandleStyleClass

    public abstract void setHandleStyleClass(java.lang.String handleStyleClass)

### getHandleValue

    public abstract java.lang.Integer getHandleValue()

### setHandleValue

    public abstract void setHandleValue(java.lang.Integer handleValue)

### isManualInput

    public abstract boolean isManualInput()

### setManualInput

    public abstract void setManualInput(boolean manualInput)

### getFacesContext

    protected javax.faces.context.FacesContext getFacesContext()

  Overrides:
    `getFacesContext` in class `javax.faces.component.UIComponentBase`

### decode

    public void decode(javax.faces.context.FacesContext context)

  Overrides:
    `decode` in class `javax.faces.component.UIComponentBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.